body {
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f0f0f0;
}

header {
    background-color: #2f8f62;
    color: white;
    padding: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

header .logo h1 {
    margin: 0;
    font-family: 'Poppins', sans-serif;
}

nav ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
    gap: 15px;
}

nav ul li {
    display: inline;
}

nav ul li a {
    color: white;
    text-decoration: none;
    font-weight: bold;
    padding: 10px 15px;
    border-radius: 4px;
    transition: background-color 0.3s ease;
    font-family: 'Poppins', sans-serif;
}

nav ul li a:hover {
    background-color: #45a049;
}

.main-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: calc(100vh - 150px);
}
.login-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}
.login-box {
    background: rgb(148, 231, 176);
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
    width: 100%;
    max-width: 400px;
    text-align: center;
    animation: fadeInUp 0.6s ease;
    
}

.login-box h2 {
    font-family: 'Poppins', sans-serif;
    margin-bottom: 20px;
}

.login-box form {
    margin-bottom: 20px;
}

.login-box label {
    display: block;
    margin-bottom: 5px;
    text-align: left;
    font-weight: bold;
}

.login-box input {
    width: calc(100% - 20px); /* Adjust width to leave some space for padding */
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    margin-bottom: 20px;
}

.login-box button {
    width: 100%;
    padding: 10px;
    background: #434443;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 4px;
    font-family: 'Poppins', sans-serif;
    transition: background-color 0.3s ease;
}

.login-box button:hover {
    background: #111111;
}

.separator {
    margin: 20px 0;
    position: relative;
}

.separator:before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 1px;
    background: #ccc;
}

.separator span {
    background: white;
    padding: 0 10px;
    position: relative;
    z-index: 1;
}

.google-btn {
    width: 100%;
    padding: 10px;
    background: #d83737;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 4px;
    font-family: 'Poppins', sans-serif;
    transition: background-color 0.3s ease;
    margin-bottom: 20px;
}

.google-btn:hover {
    background: #357ae8;
}

.register-link {
    font-size: 14px;
    margin-top: 10px;
}

.register-link a {
    color: #1538fa;
    text-decoration: none;
}

.register-link a:hover {
    text-decoration: underline;
}

footer {
    background-color:#2f8f62;
    color: white;
    text-align: center;
    padding: 10px 0;
    position: relative;
    bottom: 0;
    width: 100%;
    box-shadow: 0 -4px 8px rgba(0, 0, 0, 0.1);
}

@keyframes fadeInUp {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
